#  RSS to Telegram Bot
#  Copyright (C) 2020-2024  Rongrong <i@rong.moe>
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU Affero General Public License as
#  published by the Free Software Foundation, either version 3 of the
#  License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Affero General Public License for more details.
#
#  You should have received a copy of the GNU Affero General Public License
#  along with this program.  If not, see <https://www.gnu.org/licenses/>.

from __future__ import annotations

from typing import Final

EMOJIFY_MAP: Final[dict] = {
    "[微笑]": "🙂",
    "[可爱]": "😊",
    "[太开心]": "😆",
    "[鼓掌]": "👏",
    "[嘻嘻]": "😁",
    "[哈哈]": "😄",
    "[笑cry]": "😂",
    "[挤眼]": "😜",
    "[馋嘴]": "😋",
    "[黑线]": "😑",
    "[汗]": "😓",
    "[哼]": "😠",
    "[怒]": "😡",
    "[可怜]": "🥺",
    "[失望]": "😞",
    "[悲伤]": "😢",
    "[泪]": "😭",
    "[害羞]": "😳",
    "[爱你]": "🥰",
    "[亲亲]": "😚",
    "[色]": "😍",
    "[阴险]": "😏",
    "[偷笑]": "🤭",
    "[酷]": "😎",
    "[并不简单]": "🧐",
    "[思考]": "🤔",
    "[晕]": "😵",
    "[骷髅]": "💀",
    "[嘘]": "🤫",
    "[闭嘴]": "🤐",
    "[傻眼]": "😮",
    "[吃惊]": "😲",
    "[吐]": "🤮",
    "[感冒]": "😷",
    "[生病]": "🤒",
    "[拜拜]": "👋",
    "[鄙视]": "🖕",
    "[白眼]": "🙄",
    "[抓狂]": "😖",
    "[怒骂]": "🤬",
    "[钱]": "🤑",
    "[哈欠]": "🥱",
    "[困]": "😴",
    "[睡]": "😪",
    "[吃瓜]": "🍉",
    "[酸]": "🍋",
    "[喵喵]": "🐱",
    "[抱抱]": "🤗",
    "[摊手]": "🤷",
    "[跪了]": "🧎",
    "[鲜花]": "🌹",
    "[给你小心心]": "💝",
    "[心]": "❤",
    "[伤心]": "💔",
    "[握手]": "🤝",
    "[赞]": "👍",
    "[good]": "👍",
    "[弱]": "👎",
    "[NO]": "✋",
    "[耶]": "✌",
    "[拳头]": "✊",
    "[ok]": "👌",
    "[加油]": "💪",
    "[haha]": "🤟",
    "[熊猫]": "🐼",
    "[兔子]": "🐰",
    "[猪头]": "🐷",
    "[太阳]": "🌞",
    "[月亮]": "🌙",
    "[浮云]": "☁",
    "[下雨]": "🌧",
    "[微风]": "🍃",
    "[围观]": "👨‍👧‍👦",
    "[飞机]": "✈",
    "[照相机]": "📷",
    "[话筒]": "🎙",
    "[蜡烛]": "🕯",
    "[音乐]": "🎵",
    "[可乐]": "🥤",
    "[干杯]": "🍻",
    "[蛋糕]": "🎂",
    "[礼物]": "🎁",
    "[钟]": "⏰",
    "[肥皂]": "🧼",
    "[绿丝带]": "🎗",
    "[围脖]": "🧣",
    "[圣诞老人]": "🎅",
    "[文明遛狗]": "🐕",
    "[最右]": " →_→ ",
    "[五仁月饼]": "🥮",
    "[弗莱见钱眼开]": "🤑",
    "[棒棒糖]": "🍭",
    "[炸鸡腿]": "🍗",
    "[点亮平安灯]": "🏮",
    "[点亮橙色]": "🖐",
    "[看涨]": "📈",
    "[看跌]": "📉",
    "[星星]": "⭐",
    "[空星]": "★",
    "[全家福]": "👪",
    "[圆月]": "🌕"
}
